## emacs-which-key 3.0.2

=== Makefile ===
.PHONY : test

EMACS ?= emacs
CASK ?= cask

LOADPATH = -L .

ELPA_DIR = \
	.cask/$(shell $(EMACS) -Q --batch --eval '(princ emacs-version)')/elpa

test: elpa
	$(CASK) exec $(EMACS) -Q -batch $(LOADPATH) \
		-l which-key-tests.el -f ert-run-tests-batch-and-exit

elpa: $(ELPA_DIR)
$(ELPA_DIR): Cask
	$(CASK) install
	mkdir -p $(ELPA_DIR)
	touch $@

## emacs-which-key 2.0

=== debian/changelog ===
emacs-which-key (2.0-1) unstable; urgency=medium

  * Initial release (Closes: #854717)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 10 Feb 2017 00:21:51 +0500

=== debian/control ===
Source: emacs-which-key
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/justbur/emacs-which-key
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-which-key.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-which-key.git

Package: elpa-which-key
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: display available keybindings in popup
 `which-key' is a minor mode for Emacs that displays the key bindings
 following your currently entered incomplete command (a prefix) in a
 popup. For example, after enabling the minor mode if you enter C-x
 and wait for the default of 1 second the minibuffer will expand with
 all of the available key bindings that follow C-x (or as many as
 space allows given your settings). This includes prefixes like C-x 8
 which are shown in a different face.

## emacs-which-key 3.0.2

=== debian/changelog ===
emacs-which-key (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2
  * Remove emacsen-common from Depends field
    - it is substituted by dh-elpa

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 20 Aug 2017 00:00:50 +0500

emacs-which-key (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * Refresh patch

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 20 Jun 2017 11:19:28 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-elpa
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/justbur/emacs-which-key
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-which-key.git/
@@ -14,8 +14,7 @@
 Package: elpa-which-key
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         emacsen-common (>= 2.0.8)
+         ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs,
           emacs24,

## emacs-which-key 3.1.0

=== debian/changelog ===
emacs-which-key (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Refresh patch
  * Migrate to dh 11
  * d/control: Declare Standards-Version 4.1.3 (no changes needed)
  * d/control: Remove emacs24 form Enhances field
  * d/control: Remove Built-Using field
  * d/copyright: Reflect copyright changes
    - Copyright transferred to FSF

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 29 Jan 2018 12:49:08 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/justbur/emacs-which-key
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-which-key.git/
@@ -17,9 +17,7 @@
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs,
-          emacs24,
           emacs25
-Built-Using: ${misc:Built-Using}
 Description: display available keybindings in popup
  `which-key' is a minor mode for Emacs that displays the key bindings
  following your currently entered incomplete command (a prefix) in a

## emacs-which-key 3.3.0

=== debian/changelog ===
emacs-which-key (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.1.5 (no changes needed)
  * d/control: Add Rules-Requires-Root: no

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 09 Jul 2018 21:57:57 +0500

emacs-which-key (3.2.0-1) unstable; urgency=medium

  * Change Vcs-{Browser,Git} URL to salsa.debian.org
  * New upstream version 3.2.0
  * Declare Standards-Version 4.1.4 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 08 May 2018 09:44:38 +0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: emacs-which-key
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/justbur/emacs-which-key
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-which-key.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-which-key.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-which-key
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-which-key.git
 
 Package: elpa-which-key
 Architecture: all

## emacs-which-key 3.3.1

=== Makefile ===
.PHONY : test

emacs ?= emacs
CASK ?= cask

LOADPATH = -L .

ELPA_DIR = \
	.cask/$(shell $(emacs) -Q --batch --eval '(princ emacs-version)')/elpa

test: elpa
	$(CASK) exec $(emacs) -Q -batch $(LOADPATH) \
		-l which-key-tests.el -f ert-run-tests-batch-and-exit

elpa: $(ELPA_DIR)
$(ELPA_DIR): Cask
	$(CASK) install
	mkdir -p $(ELPA_DIR)
	touch $@

=== debian/changelog ===
emacs-which-key (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
  * Refresh patch
  * d/control: Declare Standards-Version 4.2.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 15 Nov 2018 10:45:12 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/justbur/emacs-which-key

## emacs-which-key 3.4.0

=== debian/changelog ===
emacs-which-key (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Migrate to dh 12 without d/compat
  * Refresh patch to clean documentation
  * Add patch to fix version number
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 20 Jan 2020 10:45:23 +0500

emacs-which-key (3.3.1-3) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 14:58:57 -0300

emacs-which-key (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:31:06 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/justbur/emacs-which-key
@@ -17,8 +17,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: display available keybindings in popup
  `which-key' is a minor mode for Emacs that displays the key bindings
  following your currently entered incomplete command (a prefix) in a

## emacs-which-key 3.5.1

=== debian/changelog ===
emacs-which-key (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Refresh patch to clean documentation
  * Add upstream metadata
  * d/control: Declare Standards-Verion 4.5.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 03 Feb 2021 12:55:31 +0500

emacs-which-key (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0
  * Drop patch to fix version number
  * Update patch to clean documentation
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/control: Migrate to debhelper-compat 13


 -- Lev Lamberov <dogsleg@debian.org>  Sat, 12 Sep 2020 18:28:29 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/justbur/emacs-which-key

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-which-key-$1.tar.gz%" \
             https://github.com/justbur/emacs-which-key/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-which-key 3.5.4

=== debian/changelog ===
emacs-which-key (3.5.4-1) unstable; urgency=medium

  * New upstream version 3.5.4
  * Refresh patches

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 15 Dec 2021 11:26:05 +0500

emacs-which-key (3.5.3-1) unstable; urgency=medium

  * New upstream version 3.5.3
  * Refresh patch to clean documentation
  * Add patch to fix version number
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 24 Aug 2021 13:07:13 +0500

## emacs-which-key 3.6.0

=== debian/changelog ===
emacs-which-key (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0
  * Refresh patches and drop patch to fix version number
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 26 Feb 2022 11:38:53 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/justbur/emacs-which-key
